<?php

/*==============================================================================================

	--------------------------------------------------------------------------------------------
	SPIP Immo 3.2 is a SPIP's plugin for real estate agencies & agents
	Copyright (C) 2007-2012 SARL Comme a la Ville http://www.commealaville.com - contact@commealaville.com
	http://spipimmo.commealaville.com

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
	--------------------------------------------------------------------------------------------
	SPIP Immo 3.2 est un plugin de SPIP  destination des agences immobilires
	Copyright (C) 2007-2012 SARL Comme  la Ville http://www.commealaville.com - contact@commealaville.com
	http://spipimmo.commealaville.com

	Ce programme est un logiciel libre ; vous pouvez le redistribuer et/ou le
	modifier au titre des clauses de la Licence Publique Gnrale GNU, telle
	que publie par la Free Software Foundation ; soit la version 2 de la
	Licence, ou ( votre discrtion) une version ultrieure quelconque.

	Ce programme est distribu dans l'espoir qu'il sera utile, mais SANS AUCUNE
	GARANTIE ; sans mme une garantie implicite de COMMERCIABILITE ou DE
	CONFORMITE A UNE UTILISATION PARTICULIERE. Voir la Licence Publique
	Gnrale GNU pour plus de dtails.

	Vous devriez avoir reu un exemplaire de la Licence Publique Gnrale
	GNU avec ce programme ; si ce n'est pas le cas, crivez  la Free
	Software Foundation Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.

==============================================================================================*/



	if (!defined("_ECRIRE_INC_VERSION")) return;

	function spipimmo_pagination()
	{
		//Liste des annonces
		$resListeAnnonces=sql_select("*", "spip_annonces", "", "","`id_annonce` DESC");
		$nbAnnonces=sql_count($resListeAnnonces);

		//Nombre de page
		$nbPageTotal=ceil($nbAnnonces/_SPIPIMMO_PAGE_NBRES);

		if(isset($_GET["pg"])==false)
		{
			$nPage=1;
		}
		else
		{
			$nPage=$_GET["pg"];
		}

		if($nPage==1)
		{
			$nDebut=0;
		}
		else
		{
			$nDebut=(_SPIPIMMO_PAGE_NBRES*$nPage)-_SPIPIMMO_PAGE_NBRES;
		}

		$suiteLien="";
		if(isset($_GET["tri"]))
		{
			$tabTriLibelle["dossier"]="id_annonce";
			$tabTriLibelle["ville"]="ville_bien";
			$tabTriLibelle["type"]="type_offre";
			$tabTriLibelle["prix"]="prix_loyer";

			$tabTri=split("-", $_GET["tri"]);
			$order.=$tabTriLibelle[$tabTri[0]] . " " . strtoupper($tabTri[1]);
			$suiteLien="&tri=" . $_GET["tri"];
		}

		$limit.=$nDebut . ",10";
		$out='<table id="pagination">';
			$out.='<tr>
					<td id="pgpagination">
						' . $nPage . ' / ' . $nbPageTotal . '
					</td>
					<td id="detpagination">';

			if($nbPageTotal<=_SPIPIMMO_PAGE_NBRES)
			{
				if($nPage!=1)
				{
					$out.='<a href="?exec=spipimmo&amp;pg=' . ($nPage-1) . $suiteLien . '"> < </a> - ';
				}
				for($i=1; $i<=$nbPageTotal; $i++)
				{
					if($i==$nbPageTotal)
					{
						$out.='<a href="?exec=spipimmo&amp;pg=' . $i . $suiteLien . '">' . $i . '</a>';
					}
					else
					{
						$out.='<a href="?exec=spipimmo&amp;pg=' . $i . $suiteLien . '">' . $i . '</a> - ';
					}
				}
				if($nPage!=$nbPageTotal)
				{
					$out.=' - <a href="?exec=spipimmo&amp;pg=' . ($nPage+1) . $suiteLien . '"> > </a>';
				}
			}
			else
			{
				$nPageAvt=$nPage-5;
				$nPageAps=$nPage+5;

				if(($nPageAvt>0) and ($nPageAps<$nbPageTotal))
				{
					$out.='<a href="?exec=spipimmo&amp;pg=' . ($nPage-1) . $suiteLien . '"> < </a>';
					for($i=$nPageAvt; $i<$nPageAps; $i++)
					{
						$out.=' - <a href="?exec=spipimmo&amp;pg=' . $i . $suiteLien . '"> ' . $i . '</a>';
					}
					$out.=' - <a href="?exec=spipimmo&amp;pg=' . ($nPage+1) . $suiteLien . '"> > </a>';
				}
				else if($nPageAvt<=0)
				{
					if($nPage>1)
					{
						$out.='<a href="?exec=spipimmo&amp;pg=' . ($nPage-1) . $suiteLien . '"> < </a> - ';
					}
					for($i=1; $i<=_SPIPIMMO_PAGE_NBRES; $i++)
					{
						$out.='<a href="?exec=spipimmo&amp;pg=' . $i . $suiteLien . '"> ' . $i . '</a> - ';
					}
					$out.='<a href="?exec=spipimmo&amp;pg=' . ($nPage+1) . $suiteLien . '"> > </a>';
				}
				else if($nPageAps>=$nbPageTotal)
				{
					$out.='<a href="?exec=spipimmo&amp;pg=' . ($nPage-1) . $suiteLien . '"> < </a>';
					for($i=($nbPageTotal-_SPIPIMMO_PAGE_NBRES); $i<=$nbPageTotal; $i++)
					{
						$out.=' - <a href="?exec=spipimmo&amp;pg=' . $i . $suiteLien . '"> ' . $i . '</a>';
					}
					if($nPage<$nbPageTotal)
					{
						$out.=' - <a href="?exec=spipimmo&amp;pg=' . ($nPage+1) . $suiteLien . '"> > </a>';
					}
				}
			}
			$out.='</td>
				<td id="precpagination">
					<form id="formpage" action="javascript:accesPage(document.forms[\'formpage\'].elements[\'acpage\'].value, ' . $nbPageTotal . ', \'' . $suiteLien . '\');" method="post">
						Page : <input class="acpage" type="text" name="acpage" id="acpage" />
					</form>
				</td>
			</tr>
		</table>';

		return array($out, $order, $limit, $nPage, $nbAnnonces);
	}
?>