<?php

/*==============================================================================================

	--------------------------------------------------------------------------------------------
	SPIP Immo 3.2 is a SPIP's plugin for real estate agencies & agents
	Copyright (C) 2007-2012 SARL Comme a la Ville http://www.commealaville.com - contact@commealaville.com
	http://spipimmo.commealaville.com

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
	--------------------------------------------------------------------------------------------
	SPIP Immo 3.2 est un plugin de SPIP  destination des agences immobilires
	Copyright (C) 2007-2012 SARL Comme  la Ville http://www.commealaville.com - contact@commealaville.com
	http://spipimmo.commealaville.com

	Ce programme est un logiciel libre ; vous pouvez le redistribuer et/ou le
	modifier au titre des clauses de la Licence Publique Gnrale GNU, telle
	que publie par la Free Software Foundation ; soit la version 2 de la
	Licence, ou ( votre discrtion) une version ultrieure quelconque.

	Ce programme est distribu dans l'espoir qu'il sera utile, mais SANS AUCUNE
	GARANTIE ; sans mme une garantie implicite de COMMERCIABILITE ou DE
	CONFORMITE A UNE UTILISATION PARTICULIERE. Voir la Licence Publique
	Gnrale GNU pour plus de dtails.

	Vous devriez avoir reu un exemplaire de la Licence Publique Gnrale
	GNU avec ce programme ; si ce n'est pas le cas, crivez  la Free
	Software Foundation Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.

==============================================================================================*/



	if (!defined("_ECRIRE_INC_VERSION")) return;

	function action_spipimmo_ajouter_document()
	{
		//rcupration des arguments
		$arg=explode('-',_request('arg'));
		$idAnnonce=$arg[0];
		$page=$arg[1];

		//on cherche la bonne page  renvoyer
		switch($page)
		{
			case "ajouter":
				$redir="ajouter_document";
				break;
			case "modifier":
				$redir="modifier_annonce";
				break;
		}

		//on parcourt le rpertoire image pour attribuer le bon numero de document
		$handle=opendir(_DIR_IMG);
		$tabNDoc=array();
		$tabNDoc[0]=0;
		while ($fichier = readdir($handle))
		{
			if(ereg("^immo" . $idAnnonce . "-[0-9]*.[a-zA-Z]*$", $fichier))
			{
				$splitTiret=split("-", $fichier);
				$splitPoint=split("\.", $splitTiret[1]);
				array_push($tabNDoc, $splitPoint[0]);
			}
		}
		closedir($handle);
		$nDoc=max($tabNDoc)+1;

		//on rcupre les infos sur le fichier
		$tailleFichier=$_FILES['fichier']['size'];
		$repertoireTemp=$_FILES['fichier']['tmp_name'];
		$tabFichier=split('\.', $_FILES['fichier']['name']);
		$ext=$tabFichier[1];

		//on emploi la bonne extension grce  une table dj existante de spip
		$resSelectExt=sql_select("extension", "spip_types_documents", "extension LIKE '" . $ext . "'");
		$nbEnr=sql_count($resSelectExt);

		//si l'extension n'est pas support... adieu le document :(
		if ($nbEnr!=1)
		{
			redirige_par_entete(_DIR_RACINE . _DIR_RESTREINT_ABS . '?exec=' . $redir . '&id=' .  $idAnnonce . '&charg=2');
		}
		else
		{
			$ligneEnr=sql_fetch($resSelectExt);

			//envoi du fichier dans le bon rpertoire
			$move=move_uploaded_file($repertoireTemp, _DIR_IMG . "immo" . $idAnnonce . "-" . $nDoc . "." . $ligneEnr["extension"]);
			if($move)
			{
				if($ligneEnr["extension"]=="jpg" or $ligneEnr["extension"]=="png" or $ligneEnr["extension"]=="gif")
				{
					$typeFichier=1;
				}
				else
				{
					$typeFichier=0;
				}

				//si tout se passe bien, on rentre le document dans la base de donne
				$resInsertionDocument=sql_insertq("spip_documents_annonces",
					array
					(
						"numero_dossier"=>$idAnnonce,
						"fichier"=>_NOM_PERMANENTS_ACCESSIBLES . "immo" . $idAnnonce . "-" . $nDoc . "." . $ligneEnr["extension"],
						"taille"=>$tailleFichier,
						"type"=>$typeFichier
					));

				if($resInsertionDocument)
				{
					redirige_par_entete(_DIR_RACINE . _DIR_RESTREINT_ABS . '?exec=' . $redir . '&id=' .  $idAnnonce . '&charg=1');
				}
				else
				{
					redirige_par_entete(_DIR_RACINE . _DIR_RESTREINT_ABS . '?exec=' . $redir . '&id=' .  $idAnnonce . '&charg=4');
				}
			}
			else
			{
				redirige_par_entete(_DIR_RACINE . _DIR_RESTREINT_ABS . '?exec=' . $redir . '&id=' .  $idAnnonce . '&charg=3');;
			}
		}
	}
?>